import wget
import requests

from bs4 import BeautifulSoup, SoupStrainer

url = 'http://www.eia.gov/electricity/data/eia411/'

response = requests.get(url)

for link in BeautifulSoup(response.content, 'html.parser', parse_only=SoupStrainer('a')):
    if link.has_attr('href'):
        if '.xls' in link['href']:
            full_path = url + link['href']
            wget.download(full_path)
